inttf NVIDIA 340.xx, 390.xx, 418.xx, 435.xx Patcher for Kernel 5.15/5.14/5.13/5.12 [BASH Script] - Comment Page: 1

This is a BASH script, which download NVIDIA installer, extract it, patch it and make new patched installer package. This is very quickly tested alpha version so if you have any problems please let me know or if this works as it should you can also let me know. I use here currently ARCH Linux Patches + my own patches. Currently this works with NVIDIA 340.108 / 390.144 / 418.113 / 435.21 drivers and latest 5.15, 5.14, 5.13, 5.12, 5.11, 5.10 and 5.9 kernels. This should work with any distribution. You just need install wget and patch packages. Check video version of guide: Watch More Videos and Subscribe to if-not-true-then-false.com Youtube Channel Download and...

104 comments on “inttf NVIDIA 340.xx, 390.xx, 418.xx, 435.xx Patcher for Kernel 5.15/5.14/5.13/5.12 [BASH Script] - Comment Page: 1

1 2 3 4
    1. I did it and it works perfectly for my GT430 on debian sid.
      Thanks!

      Reply
    2. 340.108 user
      5.9.9-100.fc32.x86_64 #1 SMP Thu Nov 19 15:57:55 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
      Everything is OK ;)
      Much thanks !

      Reply
    3. flintjr2

      Worked with GT 710 & F32

      (Not tested yet with later Nvidia versions)

      cat /proc/cpuinfo | grep model | head -2
      model : 45
      model name : Intel(R) Xeon(R) CPU E5-2670 0 @ 2.60GHz

      lspci | grep -i vga
      05:00.0 VGA compatible controller: NVIDIA Corporation GK208B [GeForce GT 710] (rev a1)

      nvidia-installer -v |grep version
      nvidia-installer: version 390.138 ([email protected]) Thu May 14 05:09:46 PDT

      Reply
    4. Worked Perfectly, Thanks
      for helping us navigate thru
      the nvidia conundrum.

      Fedora 33 geforce 2000 KDE plasma

      Linux 5.9.12-200.fc33.x86_64 #1 SMP Wed Dec 2 15:16:37 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

      all is good so far…

      Reply
    5. Thanks, you really saved my day (early morning)!!!

      Release: Linux Mint 20 Ulyana 64-bit (MATE 1.24.0)
      Kernel: Linux 5.9.16-050916-generic x86_64 (downloaded from Ubuntu Mainline Kernel Installer)
      Graphics: GeForce 210/PCIe/SSE2 (2009 old video card)
      VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)
      nvidia-installer: version 340.108

      It works GREAT!!! So, thank you very much…

      Reply
    6. Release Linux Mint 20 Ulyana 64-bit (MATE 1.24.0)
      KERNEL: Linux 5.10.4-051004-generic x86_64 (downloaded with Ubuntu Mainline Kernel Installer)
      Graphics: GeForce 210/PCIe/SSE2 (2009 old video card)

      I did an integration of your inttf-nvidia-patcher.sh with this script https://gist.github.com/tdrkDev/716c4a5fbddbdabffd1411229df63a72

      Use it with that kernel (5.10.4), run the patched nvidia installer and it WORKS. So, thank you very much for your effort making this.

      Reply
      • Thanks Dan,

        I updated whole script to support kernel 5.10. I modified your patch slightly to get also kernel 5.9 working.

        Reply
    7. Running Linux Mint 20.1 (Final) with latest Kernel 5.8.0-36 (as of 10/01/2021) with Nvidia 340.108 Driver.

      HP DV3500 with Nvidia 9300M GS Graphics (from 2010).

      Some issues, but working.

      With xserver-xorg-video-nouveau Driver active.
      mkdir /Home//Nvidia
      cd /Home//Nvidia
      wget -O inttf-nvidia-patcher.sh https://nvidia.if-not-true-then-false.com/patcher/inttf-nvidia-patcher.sh

      chmod +x inttf-nvidia-patcher.sh

      ./inttf-nvidia-patcher.sh -v 340.108

      This creates NVIDIA-Linux-x86_64-340.108-patched-kernel-5.10.run

      sudo xed /etc/default/grub
      Added:
      GRUB_GFXMODE=1280×800
      sudo update-grub
      In order to get this to work, used “Driver Manager” from menu to install stock Nvidia 340.108 Driver using stock Kernel 5.4.0-60.
      This fails, starts in fallback mode.

      Rebooted, selected Advanced in Grub, booted in recovery mode.
      Selection, Root Command line:
      cd /Home//Nvidia
      ./NVIDIA-Linux-x86_64-340.108-patched-kernel-5.10.run
      Shutdown now 0

      Restarted, choose usual option to run Mint.
      Used Update-manager (View->Kernels) to install latest 5.8.0-36 Kernel.

      Rebooted,
      This kernel now default option.
      All working, no Plymouth Logo (obv), as expected the way due to how Nvidia Driver loads.

      Thanks, I love my HP DV3500, don’t want a new laptop.
      Had spent many hours on this, due to this failing before this fix. Oddly, tested Ubuntu 20.04.1+Cinnamon Desktop and that worked OOTB without needing this with Nvidia proprietary Driver.

      Linux Mint fails for Nvidia proprietary Driver 340.108 on 19.2/19.3/20/20.1 without this fix.

      Reply
    8. Linux Mint 20.1
      Kernel 5.8.0-36 +
      Kernel 5.4.0-60 (Stock Kernel with Linux Mint 20.1)

      Nvidia 9300M GS
      Nvidia driver 340.108

      Thanks, all working.

      Reply
    9. wrueth
      Works well (excellent work) with:
      NVIDIA Corporation GF104 [GeForce GTX 460] (rev a1)

      NVIDIA Corporation G72 [GeForce 7300 LE] (rev a1)
      F32 to F33 with 5.9.16-200.fc33.x86_64

      Reply
    10. Any chance of an update for 5.11+?

      Reply
      • Hi Brandon,

        I just updated script + guide(s).

        Reply
    11. Hello! Thanks, you really saved my day. :)

      Worked with NVIDIA Corporation GT200GL [Quadro FX 4800] (rev a1)
      kernel: 5.3.18-lp152.66-preempt x86_64 GNU/Linux
      nvidia-installer: version 340.108
      Running openSUSE Leap 15.2-1

      So, thank you very much…

      Reply
    12. Works great for me.

      – Fedora release 34 (Thirty Four)
      – Graphics card: old GT218 [GeForce 210]
      – Kernel 5.11.9-300.fc34.x86_64

      Thanks a lot.

      Reply
    13. Thanks for updating the script for Linux 5.11. I just used it today to get bumblebee to work on an old laptop.

      Reply
      • Excellent! Nice to hear it worked for you!

        Reply
    14. I have installed NVIDIA version 340.108 on my computer, I have kernel 5.11, but the driver is not working, and my video card is GT Geforse 220, why?

      Reply
      • Hi TRJ,

        Could you tell your Linux OS and errors what you get?

        Reply
1 2 3 4

Leave a Reply to chleb Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Close